[PATCH] hwsim tests: add build script
Johannes Berg
johannes
Thu Oct 31 08:08:01 PDT 2013
From: Johannes Berg <johannes.berg at intel.com>
This is easier than to copy/paste from the README. We may
want to extend it later to change the .config for some
common differences between systems (e.g. libnl/libbfd).
Signed-off-by: Johannes Berg <johannes.berg at intel.com>
---
tests/hwsim/build.sh | 19 +++++++++++++++++++
1 file changed, 19 insertions(+)
create mode 100755 tests/hwsim/build.sh
diff --git a/tests/hwsim/build.sh b/tests/hwsim/build.sh
new file mode 100755
index 0000000..042af75
--- /dev/null
+++ b/tests/hwsim/build.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+set -e
+
+cd $(dirname $0)
+
+cd ../../wpa_supplicant
+cp ../tests/hwsim/example-wpa_supplicant.config .config
+make clean
+make -j8
+cd ../hostapd
+cp ../tests/hwsim/example-hostapd.config .config
+make clean
+make -j8 hostapd hlr_auc_gw
+cd ../wlantest
+make clean
+make -j8
+cd ../mac80211_hwsim/tools
+make -j8
--
1.8.4.rc3
More information about the Hostap
mailing list